> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-04-01/api/connects/create/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # Create Connect POST https://api.givechariot.com/v1/connects Content-Type: application/json Get an existing connect or create a new connect for an existing nonprofit organization. The returned Connect can be used to integrate the client-side Chariot Connect component using the `id` property (CID) and also query for data generated from the Chariot Connect instance using the connect\_id query parameter in any of the List Grants API endpoints. Only one Connect object can be created per organization. If one already exists, this will return a `200 OK` status with the existing object. Reference: https://docs.givechariot.com/api/connects/create ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.givechariot.com` (Production, default) - `https://sandboxapi.givechariot.com` (Sandbox) ## Request ### Body (application/json) This endpoint expects an object. - `organization_id` (string, required) — The unique identifier for the organization - `contact` (V1ConnectsPostRequestBodyContentApplicationJsonSchemaContact, required) - `name` (string, optional) — A human readable name of the Connect, optional. - `metadata` (map from string to string, optional) — A map of arbitrary string keys and values to store information about the object. ## Response ### 200 OK - `id` (string, required) — The unique identifier for this object. This is also the 'publishable' cid to use for initializing Connect for client-side integration. - `name` (string, optional) — A human readable name for the connect, optional. - `active` (boolean, optional) — A flag to indicate if this connect is active. If true, then this Connect can process donations and grants, otherwise this Connect cannot process grants. - `createdAt` (datetime, optional) — Time when this object was created. Expressed in RFC 3339 format. - `updatedAt` (datetime, optional) — Time when this object was last updated. Expressed in RFC 3339 format. - `createdBy` (string, optional) — ID of the user who created this object. - `archived` (boolean, optional) — A flag to indicate if this object is marked for deletion. - `metadata` (map from string to string, optional) — A map of arbitrary string keys and values to store information about the object. ### 201 Created - `id` (string, required) — The unique identifier for this object. This is also the 'publishable' cid to use for initializing Connect for client-side integration. - `name` (string, optional) — A human readable name for the connect, optional. - `active` (boolean, optional) — A flag to indicate if this connect is active. If true, then this Connect can process donations and grants, otherwise this Connect cannot process grants. - `createdAt` (datetime, optional) — Time when this object was created. Expressed in RFC 3339 format. - `updatedAt` (datetime, optional) — Time when this object was last updated. Expressed in RFC 3339 format. - `createdBy` (string, optional) — ID of the user who created this object. - `archived` (boolean, optional) — A flag to indicate if this object is marked for deletion. - `metadata` (map from string to string, optional) — A map of arbitrary string keys and values to store information about the object. ## Errors ### 400 Bad Request Error The request is invalid or contains invalid parameters - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 401 Unauthorized Error Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller. - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 403 Forbidden Error Access denied - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 404 Not Found Error Resource Not Found - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 500 Internal Server Error Internal Server Error - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ## Types ### V1ConnectsPostRequestBodyContentApplicationJsonSchemaContact - `email` (string, required) — The email address for the nonprofit account contact - `phone` (string, optional) — The phone number for the nonprofit account contact - `first_name` (string, optional) — The first name of the nonprofit account contact that manages this Connect - `last_name` (string, optional) — The last name of the nonprofit account contact that manages this Connect ## Examples ### Simple connect output **Request** ```json { "organization_id": "org_1234567890", "contact": { "email": "ben.give@co.com" } } ``` **Response** ```json { "id": "test_de5a2e7d-c960-4eaa-8bd2-e8d2cc5b1a55", "name": "website", "active": true, "createdAt": "2021-07-10 15:00:00.000", "updatedAt": "2020-01-31T23:59:59Z", "createdBy": "user123", "metadata": { "tag1": "value1" } } ``` ### Simple connect output **Request** ```json { "organization_id": "org_1234567890", "contact": { "email": "ben.give@co.com" } } ``` **Response** ```json { "id": "test_de5a2e7d-c960-4eaa-8bd2-e8d2cc5b1a55", "name": "website", "active": true, "createdAt": "2021-07-10 15:00:00.000", "updatedAt": "2020-01-31T23:59:59Z", "createdBy": "user123", "metadata": { "tag1": "value1" } } ```